# Copyright (c) 2021 Secureworks. All Rights Reserved
# Create an application
resource "azuread_application" "msftatp-app" {
  count        =  var.replacement_eventhub ? 0 : 1
  display_name = "SCWX-TDR-MDATP-APP"

  web {
    redirect_uris = ["https://portal.azure.com/"]
  }

  required_resource_access {
    # WindowsDefenderATP 
    resource_app_id = "fc780465-2017-40d4-a0c5-307022471b92"

    resource_access {
      # AdvancedQuery.Read.All
      id   = "93489bf5-0fbc-4f2d-b901-33f2fe08ff05"
      type = "Role"
    }
    resource_access {
      # Alert.Read.All
      id   = "71fe6b80-7034-4028-9ed8-0f316df9c3ff"
      type = "Role"
    }
  }
}

resource "azuread_application_password" "msftatp-app-secret" {
  count                 =  var.replacement_eventhub ? 0 : 1
  application_object_id = azuread_application.msftatp-app[0].id
  end_date              = "2299-12-31T05:00:00Z"
}
